<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:db="http://docbook.org/ns/docbook"
                xmlns:t="http://docbook.org/xslt/ns/template"
                version="2.0">

    <xsl:import href="/Users/jorgew/projects/docbook.github.com/release/2.0.3/xslt/slides/html/plain.xsl"
                use-when="doc-available('/Users/jorgew/projects/docbook.github.com/release/2.0.3/xslt/slides/html/plain.xsl')"/>

    <xsl:import href="https://raw.github.com/docbook/docbook.github.com/master/release/2.0.3/xslt/slides/html/plain.xsl"
                use-when="not(doc-available('/Users/jorgew/projects/docbook.github.com/release/2.0.3/xslt/slides/html/plain.xsl'))"/>

    <xsl:template name="toc">
        <xsl:message>[INFO] Skipping the creation of the 'AGENDA' slide...</xsl:message>
    </xsl:template>

    <xsl:template match="db:slides/db:info">
        <div class="page">
            <div class="header">
                <h1><xsl:apply-templates select="db:info/db:title/node()|db:title/node()"/></h1>
            </div>
            <div class="body">
                <div class="shownav">
                    <img src="{$resource.root}img/prev.gif" alt="[Prev]"/>
                    <img src="{$resource.root}img/next.gif" alt="[Next]"/>
                </div>
                <xsl:call-template name="t:clicknav">
                    <xsl:with-param name="next" select="'#toc'"/>
                </xsl:call-template>
                <xsl:choose>
                    <xsl:when test="count(db:author) = 0"/>
                    <xsl:when test="count(db:author) = 1">
                        <xsl:apply-templates select="db:author/db:personname"/>
                    </xsl:when>
                    <xsl:when test="count(db:author) = 2">
                        <xsl:apply-templates select="db:author[1]/db:personname"/>
                        <xsl:text> </xsl:text>
                        <xsl:call-template name="gentext">
                            <xsl:with-param name="key" select="'and'"/>
                        </xsl:call-template>
                        <xsl:text> </xsl:text>
                        <xsl:apply-templates select="db:author[2]/db:personname"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:message terminate="yes">I can't handle more that 2 authors!</xsl:message>
                    </xsl:otherwise>
                </xsl:choose><br />
                <xsl:apply-templates select="db:author[1]/db:affiliation/db:orgname"/><br />
                <xsl:apply-templates select="db:pubdate"/>
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>
